6.0.0-git
2019-03-20

[#11172] ICS/ICAL import in Traditional view needs more verbose errors
Summary ICS/ICAL import in Traditional view needs more verbose errors
Queue Kronolith
Queue Version Git master
Type Enhancement
State Resolved
Priority 1. Low
Owners jan (at) horde (dot) org
Requester shop (at) open-t (dot) co (dot) uk
Created 2012-05-01 (2514 days ago)
Due
Updated 2012-05-09 (2506 days ago)
Assigned
Resolved 2012-05-09 (2506 days ago)
Milestone
Patch No

History
2012-05-09 20:03:54 Git Commit Comment #4 Reply to this comment
Changes have been made in Git (develop):

commit 6e220ad639f143f8b144ab8a5eac5ad2e1eefdac
Author: Jan Schneider <jan@horde.org>
Date:   Wed May 9 16:23:50 2012 +0200

     Fix error message if importing failed (Bug #11172).

  kronolith/data.php |    4 ++--
  1 files changed, 2 insertions(+), 2 deletions(-)

http://git.horde.org/horde-git/-/commit/6e220ad639f143f8b144ab8a5eac5ad2e1eefdac
2012-05-09 16:20:35 shop (at) open-t (dot) co (dot) uk Comment #3 Reply to this comment
Changes have been made in Git (master):
Thank you
2012-05-09 14:29:27 Jan Schneider Assigned to Jan Schneider
State ⇒ Resolved
 
2012-05-09 14:29:16 Git Commit Comment #2 Reply to this comment
Changes have been made in Git (master):

commit 6e220ad639f143f8b144ab8a5eac5ad2e1eefdac
Author: Jan Schneider <jan@horde.org>
Date:   Wed May 9 16:23:50 2012 +0200

     Fix error message if importing failed (Bug #11172).

  kronolith/data.php |    4 ++--
  1 files changed, 2 insertions(+), 2 deletions(-)

http://git.horde.org/horde-git/-/commit/6e220ad639f143f8b144ab8a5eac5ad2e1eefdac
2012-05-01 13:59:35 shop (at) open-t (dot) co (dot) uk Comment #1
Type ⇒ Enhancement
State ⇒ New
Priority ⇒ 1. Low
Summary ⇒ ICS/ICAL import in Traditional view needs more verbose errors
Queue ⇒ Kronolith
Milestone ⇒
Patch ⇒ No
Reply to this comment
When trying to import an ical/ics file through the traditional 
interface, the import fails most of the time with the message:

"You have specified an invalid calendar"

This is not much information to go on when troubleshooting an import. 
Considering that there is so much variation for iCal support from one 
calendar software to another, it seems that iCal imports are much more 
likely to fail than succeed. Adding to the error message something 
like the line number in the source ics file where the parsing has 
failed, or the field/value pair which caused the problem would really 
represent a huge benefit in finding the problem.

As an example, I've spent two days troubleshooting the import of a 
single ics calendar exported from Thunderbird/Lightning. After some 
tweaking, the ics file passed all the tests at this online iCal 
validator: http://icalvalid.cloudapp.net/ but it would still not 
import in Kronolith. I ended up chopping a 8200 appointments file in 
smaller pieces, and importing one at a time until I found the syntax 
that needed changing. The fault might as well lie with the Lightning 
export routine - I don't know - but when Kronolith doesn't give any 
clue as to what it doesn't like in the iCal file - the whole task 
becomes far more time consuming then it should be.

For those reading this and wondering, the Dynamic interface doesn't 
have any sort of error message on Import failure - but that is a 
separate issue and I've already submitted an appropriate bug.

Saved Queries